> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domainv1beta1roles 1

> Gets a domain role.



## OpenAPI

````yaml /openapis/domain.json get /domain/v1beta1/roles/{roleId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /domain/v1beta1/roles/{roleId}:
    get:
      tags:
        - domain
      description: Gets a domain role.
      operationId: domain:v1beta1.Roles.get
      parameters:
        - $ref: '#/components/parameters/roleId_path_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiDomainRole response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDomainRole'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    roleId_path_parameter:
      name: roleId
      in: path
      description: The ID of the role
      required: true
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiDomainRole:
      type: object
      properties:
        aclEntries:
          type: array
          description: The list of user/group/field members of the role
          items:
            $ref: '#/components/schemas/ApiSecurityTokenWithAddedInfos'
        description:
          type: string
          description: The description of the role
        id:
          type: string
          description: The ID of the role (read-only field)
        kind:
          type: string
        name:
          type: string
          description: The name of the role
        name_i18n:
          type: string
          description: The internationalized name of the role (read-only field)
        privileges:
          type: object
          description: >-
            The list of privileges belonging to predefined role types (read-only
            field)
          additionalProperties:
            type: object
            additionalProperties:
              type: array
              items:
                type: string
        type:
          type: string
          description: >-
            The type of role in the library: LIBRARY (administrators,
            contributors, readers), DOCUMENT (document creator, version
            creator), CUSTOM for any role created manually (including predefined
            roles) (read-only field)
          enum:
            - LIBRARY
            - DOCUMENT
            - PREDEFINED
            - CUSTOM
    ApiSecurityTokenWithAddedInfos:
      type: object
      properties:
        addedBy:
          type: string
          description: The user email by whom the token has been added (read only)
        addedTime:
          type: string
          format: date-time
          description: The date of when the token was added (read only)
        classId:
          type: string
          description: The ID of the class when type = FIELD
        className:
          type: string
          description: The name of the class when type = FIELD
        description:
          type: string
          description: The description for type in GROUP, ROLE, FIELD
        displayName:
          type: string
          description: >-
            The display name of the user or group, the name of the role
            (read-only field)
        displayName_i18n:
          type: string
          description: >-
            The display name of the user or group, the internationalized name of
            the role (read-only field)
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (especially for users)
        type:
          type: string
          description: >-
            The type of person (user, group, role, field based, domain i.e.
            everybody)
          enum:
            - USER
            - GROUP
            - ROLE
            - FIELD
            - DOMAIN
        value:
          type: string
          description: >-
            The email address if user or group, the ID of the role, the ID of
            the class/field (ignored if type = DOMAIN)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````